> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /wantedly/projects

> Get a Wantedly project (job posting) by its numeric id

**Price:** 1 credit

**⚠️ Common errors:** 412: Project not found



## OpenAPI

````yaml /openapi/jobs.json post /api/wantedly/projects
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/wantedly/projects:
    post:
      tags:
        - /wantedly
      summary: /wantedly/projects
      description: |-
        Get a Wantedly project (job posting) by its numeric id

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Project not found
      operationId: __api_wantedly_projects_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WantedlyProjectPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WantedlyProject'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WantedlyProjectPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        project:
          type: integer
          exclusiveMinimum: 0
      type: object
      required:
        - project
    WantedlyProject:
      properties:
        '@type':
          type: string
          default: WantedlyProject
        id:
          type: integer
        looking_for:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        location_suffix:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        page_view:
          anyOf:
            - type: integer
            - type: 'null'
        support_count:
          anyOf:
            - type: integer
            - type: 'null'
        candidate_count:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        what_description:
          anyOf:
            - type: string
            - type: 'null'
        what_images:
          items:
            type: string
          type: array
          default: []
        why_description:
          anyOf:
            - type: string
            - type: 'null'
        why_images:
          items:
            type: string
          type: array
          default: []
        how_description:
          anyOf:
            - type: string
            - type: 'null'
        how_images:
          items:
            type: string
          type: array
          default: []
        company:
          anyOf:
            - $ref: '#/components/schemas/WantedlyProjectCompany'
            - type: 'null'
        staffing_count:
          anyOf:
            - type: integer
            - type: 'null'
        staffings:
          items:
            $ref: '#/components/schemas/WantedlyStaffing'
          type: array
          default: []
        supporters:
          items:
            $ref: '#/components/schemas/WantedlySupporter'
          type: array
          default: []
        category_tags:
          items:
            type: string
          type: array
          default: []
        hiring_types:
          items:
            type: string
          type: array
          default: []
        tags:
          items:
            type: string
          type: array
          default: []
        has_video:
          type: boolean
          default: false
      type: object
      required:
        - id
        - title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    WantedlyProjectCompany:
      properties:
        '@type':
          type: string
          default: WantedlyProjectCompany
        id:
          type: integer
        name:
          type: string
        founder:
          anyOf:
            - type: string
            - type: 'null'
        founded_on:
          anyOf:
            - type: string
            - type: 'null'
        payroll_count:
          anyOf:
            - type: integer
            - type: 'null'
        address_prefix:
          anyOf:
            - type: string
            - type: 'null'
        address_suffix:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        industries:
          items:
            type: string
          type: array
          default: []
        tags:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
        - name
    WantedlyStaffing:
      properties:
        '@type':
          type: string
          default: WantedlyStaffing
        user_id:
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
        position:
          anyOf:
            - type: string
            - type: 'null'
        is_leader:
          type: boolean
          default: false
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - user_id
    WantedlySupporter:
      properties:
        '@type':
          type: string
          default: WantedlySupporter
        id:
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````